Issue1214

classification
Title: PYTHONPATH not correctly computed on 2.5b0
Type: behaviour Severity: critical
Components: Core Versions: 2.5b0
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: otmarhumbel Nosy List: fabioz, jrennie, otmarhumbel, zyasoft
Priority: high Keywords:

Created on 2008-12-29.11:57:11 by fabioz, last changed 2009-04-14.21:01:55 by zyasoft.

Messages
msg3980 (view) Author: Fabio Zadrozny (fabioz) Date: 2008-12-29.11:57:11
On Jython 2.1 (where it works):

[W:\org.python.pydev\PySrc]java -classpath d:\bin\jython-2.1\jython.jar
org.python.util.jython -i
Jython 2.1 on java1.6.0_06 (JIT: null)
Type "copyright", "credits" or "license" for more information.
>>> import os
>>> import sys
>>> print sys.path
['', 'W:\\org.python.pydev\\PySrc\\.', 'd:\\bin\\jython-2.1\\Lib',
'd:\\bin\\jython-2.1']



On Jython 2.5b0 (where it doesn't work):
java -Dpython.cachedir=d:\temp -classpath
d:\bin\jython2.5b0\jython-complete.jar org.python.util.jython -i
Jython 2.5b0 (trunk:5540, Oct 31 2008, 13:55:41)
[Java HotSpot(TM) Client VM (Sun Microsystems Inc.)] on java1.6.0_06
>>> import os
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named os
>>> import sys
>>> print sys.path
['', 'D:\\bin\\jython2.5b0\\jython-complete.jar\\Lib', '__classpath__']

And it should be the same as the one in Jython 2.1 (1st the current
directory, then the \Lib where the .jar is contained and then the
directory of the jar)
msg3981 (view) Author: Fabio Zadrozny (fabioz) Date: 2008-12-29.12:26:24
Just a note: if I set the -Dpython.home variable, it seems correct (so,
the bug is: if I don't set python.home, it should consider that
python.home is the directory of the jar and still work as expected).
msg4004 (view) Author: Oti Humbel (otmarhumbel) Date: 2009-01-07.08:01:53
should be possible to be done - thanks!
Oti.
msg4042 (view) Author: Jason Rennie (jrennie) Date: 2009-01-13.14:33:45
Just tested with 2.5b1 and it seems to be fixed ("import os" worked and
sys.path looks correct)
msg4434 (view) Author: Jim Baker (zyasoft) Date: 2009-04-04.03:19:36
Fabio, are you still getting this bug with beta3/trunk? I'm marking it
pending for closure.
msg4507 (view) Author: Jim Baker (zyasoft) Date: 2009-04-14.21:01:54
Closing bug out, no report that it's still occuring
History
Date User Action Args
2009-04-14 21:01:55zyasoftsetstatus: pending -> closed
messages: + msg4507
2009-04-04 03:19:36zyasoftsetstatus: open -> pending
priority: high
resolution: works for me
messages: + msg4434
nosy: + zyasoft
2009-01-13 14:33:45jrenniesetnosy: + jrennie
messages: + msg4042
2009-01-07 08:01:54otmarhumbelsetassignee: otmarhumbel
messages: + msg4004
nosy: + otmarhumbel
2008-12-29 12:26:24fabiozsetmessages: + msg3981
2008-12-29 11:57:11fabiozcreate